1.5. Supported Versions of Red Hat Gluster Storage

Several versions of Red Hat Gluster Storage (RHGS) are currently supported. In order to upgrade or use Red Hat Gluster Storage in conjunction with other software, you may need to know the support details of each version. This table provides a summary:

Table 1.4. Version Details

RHGS versionglusterfs and glusterfs-fuseRHGS op-versionSMBNFSgDeployAnsible
3.43.12.2-1831302SMB 1, 2.0, 2.1, 3.0, 3.1.1NFSv3, NFSv4gdeploy-2.0.2-27-
3.4 Batch 1 Update3.12.2-2531303SMB 1, 2.0, 2.1, 3.0, 3.1.1NFSv3, NFSv4gdeploy-2.0.2-30-
3.4 Batch 2 Update3.12.2-3231304SMB 1, 2.0, 2.1, 3.0, 3.1.1NFSv3, NFSv4gdeploy-2.0.2-31gluster-ansible-infra-1.0.2-2
3.4 Batch 3 Update3.12.2-4031305SMB 1, 2.0, 2.1, 3.0, 3.1.1NFSv3, NFSv4gdeploy-2.0.2-31gluster-ansible-infra-1.0.2-2

Note

For more information regarding the version details of previous Red Hat Gluster Storage releases, see https://access.redhat.com/solutions/543123.
The repository that you install packages from may affect the package version installed which in turn may affect the compatibility of your systems. Red Hat recommends installing the client from the Red Hat Gluster Storage repository:
  • For Red Hat Enterprise Linux 7 clients: rhel-x86_64-server-7-rh-gluster-3-client
  • For Red Hat Enterprise Linux 6 clients: rhel-x86_64-server-rhsclient-6